AbfsDriverException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.contracts.exceptions, class: AbfsDriverException

Package org.apache.hadoop.fs.azurebfs.contracts.exceptions

# Class AbfsDriverException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException
org.apache.hadoop.fs.azurebfs.contracts.exceptions.AbfsRestOperationException
org.apache.hadoop.fs.azurebfs.contracts.exceptions.AbfsDriverException

All Implemented Interfaces:
  `Serializable`

@Public @Evolving public class AbfsDriverException extends AbfsRestOperationException
Exception to be thrown if any Runtime Exception occurs.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbfsDriverException(Exception innerException)`
  Constructs an `AbfsDriverException` with the specified inner exception.
  `AbfsDriverException(Exception innerException, String activityId)`
  Constructs an `AbfsDriverException` with the specified inner exception and activity ID for correlation.
  `AbfsDriverException(String errorMessage, Exception innerException)`
  Constructs an `AbfsDriverException` with a custom error message and inner exception.

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.azurebfs.contracts.exceptions.AbfsRestOperationException

  `getErrorCode, getErrorMessage, getStatusCode`

  ### Methods inherited from class org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException

  `toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbfsDriverException

    public AbfsDriverException(Exception innerException)
    Constructs an `AbfsDriverException` with the specified inner exception.
    Parameters:
      `innerException` - the underlying exception that caused the failure

  - ### AbfsDriverException

    public AbfsDriverException(Exception innerException, String activityId)
    Constructs an `AbfsDriverException` with the specified inner exception and activity ID for correlation.
    Parameters:
      `innerException` - the underlying exception that caused the failure
      `activityId` - the request or operation ID for traceability

  - ### AbfsDriverException

    public AbfsDriverException(String errorMessage, Exception innerException)
    Constructs an `AbfsDriverException` with a custom error message and inner exception.
    Parameters:
      `errorMessage` - a custom error message describing the failure
      `innerException` - the underlying exception that caused the failure